Bug 253103 - /proc/loadavgrt issues weird results
/proc/loadavgrt issues weird results
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-16 18:52 EDT by Luis Claudio R. Goncalves
Modified: 2008-02-27 14:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 08:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
loadavg_fixes_weird_loads.patch (1.89 KB, text/x-patch)
2007-08-16 20:26 EDT, Luis Claudio R. Goncalves
no flags Details
Fixes spurious load spikes in /proc/loadavgrt (1.82 KB, text/x-patch)
2007-08-24 10:39 EDT, Luis Claudio R. Goncalves
no flags Details

  None (edit)
Description Luis Claudio R. Goncalves 2007-08-16 18:52:14 EDT
Description of problem:
We have noticed that values in /proc/loadavgrt are sometimes the real
load and sometimes garbage.

I believe I have already isolated the problem in timer.c->calc_load. But I am
trying the patches along with the ones for bug#253099.

Version-Release number of selected component (if applicable):
2.6.21-31.el5rt
2.6.21-34.el5rt
2.6.21.5-rt20
2.6.23-rc2-rt2

How reproducible:
Easily. More info below.

Steps to Reproduce:
1. Boot a -rt kernel
2. Create some load and observe the dance with:
   watch -n 1 cat /proc/loadavg*
  
Actual results:

Expected results:

Additional info:
        [lclaudio@lab sandbox]$ ls /proc/loadavg*
        /proc/loadavg  /proc/loadavgrt
        [lclaudio@lab sandbox]$ uname -a
        Linux lab.casa 2.6.21-34.el5rt #1 SMP PREEMPT RT Thu Jul 12 15:26:48 EDT
2007 x86_64 x86_64 x86_64 GNU/Linux
        [lclaudio@lab sandbox]$ cat /proc/loadavg*
        4.57 4.90 4.16 3/146 23499
        0.44 0.98 1.78 0/146 23499
        ...
        [lclaudio@lab sandbox]$ cat /proc/loadavg*
        4.65 4.80 4.75 5/144 20720
        23896.04 -898421.23 383170.94 2/144 20720

        [root@neverland ~]# uname -a
        Linux neverland.casa 2.6.21.5-rt20 #2 SMP PREEMPT RT Fri Jul 13 18:31:38
BRT 2007 i686 athlon i386 GNU/Linux
        [root@neverland ~]# cat /proc/loadavg*
        0.16 0.16 0.15 1/184 11240
        344.65 0.38 311.71 0/184 11240

        [williams@torg ~]$ uname -a
        Linux torg 2.6.23-rc2-rt2 #14 SMP PREEMPT RT Tue Aug 7 20:07:31 CDT 2007
x86_64 x86_64 x86_64 GNU/Linux
        [williams@torg ~]$ cat /proc/loadavg*
        0.88 0.76 0.57 1/257 7267
        122947.70 103790.53 -564712.87 0/257 7267
Comment 1 Luis Claudio R. Goncalves 2007-08-16 20:26:14 EDT
Created attachment 161706 [details]
loadavg_fixes_weird_loads.patch

This patch fixes some glitches that could be responsible for the weird loadavg
spikes we have been observing...
Comment 2 Luis Claudio R. Goncalves 2007-08-24 10:39:41 EDT
Created attachment 172421 [details]
Fixes spurious load spikes in /proc/loadavgrt

This patch is better cooked than the earlier one.
Comment 3 Luis Claudio R. Goncalves 2007-09-10 08:35:18 EDT
Patch added to kernel-rt-2.6.21-37.el5rt, soon to be in the rt partners repo.

Note You need to log in before you can comment on or make changes to this bug.